Agency - Creator List
Introduction
Get TikTok creators associated with an agency, supporting the following features:
- Filter by agency ID
- Customize result sorting
- Includes creator sales data and top-selling products
Endpoint
bash
POST /agency/v1/creatorListRequest Body
| Field | Type | Required | Description |
|---|---|---|---|
filter | object | Yes | Filter parameters |
orderby | object | Yes | Sorting parameters |
page | integer | No | Page number, default value: 1 |
pagesize | integer | No | Records per page, default: 10, max: 100 |
filter options
| Field | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Agency secid |
orderby options
| Field | Type | Required | Description |
|---|---|---|---|
field | string | Yes | Sort field |
order | string | Yes | Sort order: desc |
Supported sort fields:
| Field | Description |
|---|---|
day7_units_sold | Units sold in last 7 days |
day28_units_sold | Units sold in last 28 days |
day90_units_sold | Units sold in last 90 days |
day7_gmv | GMV in last 7 days |
day28_gmv | GMV in last 28 days |
day90_gmv | GMV in last 90 days |
follower_count | Creator follower count |
Request Example
bash
curl 'https://openapi.fastmoss.com/agency/v1/creatorList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"id": "647f81f2fccde42ac22be7fe7bee2c26"
},
"orderby": [
{
"field": "day7_gmv",
"order": "desc"
}
],
"page": 1,
"pagesize": 10
}'Response Body
data
| Field | Type | Description |
|---|---|---|
list | array<object> | Creator list |
total | integer | Total count |
data.list
| Field | Type | Description |
|---|---|---|
author | object | Creator information |
day7_units_sold | integer | Units sold in last 7 days |
day28_units_sold | integer | Units sold in last 28 days |
day90_units_sold | integer | Units sold in last 90 days |
day7_gmv | integer | GMV in last 7 days (cents) |
day28_gmv | integer | GMV in last 28 days (cents) |
day90_gmv | integer | GMV in last 90 days (cents) |
live_gpm | string | Live GPM range |
video_gpm | string | Video GPM range |
day7_top2_products | array<object> | Top 2 products by units in last 7 days |
day28_top2_products | array<object> | Top 2 products by units in last 28 days |
day90_top2_products | array<object> | Top 2 products by units in last 90 days |
data.list.author
| Field | Type | Description |
|---|---|---|
uid | string | Creator UID |
unique_id | string | Creator unique ID |
nickname | string | Creator nickname |
avatar | string | Creator avatar URL |
category_id | integer | Creator category ID |
category_name | string | Creator category name |
follower_count | integer | Follower count |
aweme_count | integer | Total video count |
favoriting_count | integer | Total likes received |
region | string | Creator region |
data.list.dayX_top2_products
| Field | Type | Description |
|---|---|---|
product_id | string | Product ID |
sold_count | integer | Units sold |
rank | integer | Sales rank (1 or 2) |
cover | string | Product cover image URL |
Response Example
json
{
"code": 0,
"data": {
"list": [
{
"author": {
"uid": "7520310673173316621",
"unique_id": "sophmademebuyit",
"nickname": "Soph🦋",
"avatar": "tt_author/e2a93268378892efa5477548c160e19e~tplv-tiktokx-cropcenter:100:100.jpeg",
"category_id": 31,
"category_name": "Other",
"follower_count": 29468,
"aweme_count": 2042,
"favoriting_count": 530,
"region": "US"
},
"day7_units_sold": 4955,
"day28_units_sold": 19952,
"day90_units_sold": 51672,
"day7_gmv": 270119,
"day28_gmv": 1134310,
"day90_gmv": 2922456,
"live_gpm": "$0.00 - $0.00",
"video_gpm": "$39.82 - $44.95",
"day7_top2_products": [
{
"product_id": "1732261201982428094",
"sold_count": 635,
"rank": 2,
"cover": "https://s.500fd.com/tt_product/293d96fb07b2482a89c0191e02072278~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg"
},
{
"product_id": "1731581852072907320",
"sold_count": 1078,
"rank": 1,
"cover": "https://s.500fd.com/tt_product/c7338303f352404a8a89ce2fded825c4~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg"
}
]
}
],
"total": 1382
},
"message": "success"
}